%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-boxes
Version:	3.4.0.1
Release:	%mkrel 1
Summary:	boxes manager for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		https://live.gnome.org/Boxes
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala >= 0.13.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
BuildRequires:	pkgconfig(glib-2.0) => 2.29.90
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.4
BuildRequires:	pkgconfig(libvirt-gobject-1.0) >= 0.0.7
BuildRequires:	pkgconfig(libvirt-gconfig-1.0) >= 0.0.7
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.9
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(libosinfo-1.0) >= 0.0.6
BuildRequires:	pkgconfig(tracker-sparql-0.14) >= 0.13.1
# XXX - libvirtd service should be running
Requires:	libvirt-utils
Requires:	qemu-img
Requires:	qemu
# Needed for unattended installer:
Requires:	mtools
Requires:	fuseiso
# gnome-boxes uses a dark theme
Requires: gnome-icon-theme

%description
Standalone boxes manager for GNOME desktop.

%prep
%setup -q

# add semicolon after mimetype (will be fixed in 3.3.3!)
sed -i -e 's,^\(MimeType=.*[^;]\)$,\1;,g' data/gnome-boxes.desktop.in.in


%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/gnome-boxes.*
%{_datadir}/glib-2.0/schemas/org.gnome.boxes.gschema.xml


%changelog

* Sun Apr 01 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 227703
- update buildrequires
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226704
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225070
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219680
- bump req
- new version 3.3.91

* Thu Feb 23 2012 tv <tv> 3.3.90-2.mga2
+ Revision: 213165
- rebuild for new cogl

  + fwang <fwang>
    - fix br
    - new version 3.3.90

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5.1-1.mga2
+ Revision: 206537
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206511
- explicitly enable vala
- fix compilation using upstream instructions
- fix buildrequires
- new version

* Wed Jan 25 2012 ovitters <ovitters> 3.3.4.1-1.mga2
+ Revision: 201488
- new version

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197341
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197018
- fix buildrequires
- new version

* Wed Jan 11 2012 ovitters <ovitters> 3.3.3-5.mga2
+ Revision: 194853
- fix requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-4.mga2
+ Revision: 194472
- even more requires

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 194465
- fix more requires (thanks to Michael Hill)

* Tue Jan 10 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 194464
- fix requires (thanks to Michael Hill)

* Wed Dec 21 2011 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 185369
- new version 3.3.3

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175024
- fix URL

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 174969
- fix MimeType in desktop file
- Unity is not in .desktop file, no need to remove
- imported package gnome-boxes

